Skip to main content
GET
/
api
/
agents
List Agents
curl --request GET \
  --url https://your-domain.com/api/agents \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "icon": "<string>",
      "description": "<string>",
      "instructions": "<string>",
      "status": "<string>",
      "is_active": true,
      "kb_ids": [
        "<string>"
      ],
      "connector_ids": [
        "<string>"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "size": 123,
  "pages": 123
}

Authorizations

Authorization
string
header
required

API Key (fim_xxx) or JWT token

Query Parameters

page
integer
default:1
Required range: x >= 1
size
integer
default:20
Required range: 1 <= x <= 100
status
enum<string>

Filter by publication status

Available options:
draft,
published

Response

Paginated list of agents

items
object[]
required
total
integer
required
page
integer
required
size
integer
required
pages
integer
required